<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Homework-buttons</title>
    <style>
        .btn-wrapper {
            height: 60vh;
            display: flex;
            align-items: center;
            justify-content: space-around;
        }
        
        .btn {
            border: none;
            border-radius: 20px;
            min-width: 120px;
            padding: 7px;
            color: #fff;
            font-size: 14px;
            background-color: #33333a;
            cursor: pointer;
        }
        
        .btn:active,
        .btn:focus {
            outline: none;
        }
        
        .btn-pressed {
            background-color: #00f;
        }
    </style>
    <script>
        window.onload = () => {
            const keys = document.querySelectorAll('.btn');
            window.addEventListener('keypress', (event) => {
                keys.forEach(item => { // Вариант, если подсветка слетает при нажатии перечисленных клавиш
                        if (item.innerHTML.toLowerCase() === event.key.toLowerCase()) {
                            keys.forEach(item => item.classList.remove('btn-pressed'));
                            item.classList.add('btn-pressed');
                        }
                    })
                    // keys.forEach(item => {   // Вариант, если подсветка слетает при нажатии любой клавиши
                    //     if (item.innerHTML.toLowerCase() === event.key.toLowerCase()) {
                    //         item.classList.add('btn-pressed');
                    //     } else {
                    //         item.classList.remove('btn-pressed');
                    //     };
                    // })
            })
        }
    </script>
</head>

<body>
    <div class="btn-wrapper">
        <button class="btn">Enter</button>
        <button class="btn">S</button>
        <button class="btn">E</button>
        <button class="btn">O</button>
        <button class="btn">N</button>
        <button class="btn">L</button>
        <button class="btn">Z</button>
    </div>
</body>

</html>